# IdeaModel

abstract class IdeaModel

DSL-friendly model of the IDEA project information. First point of entry when it comes to customizing the IDEA generation.

See the examples in docs for IdeaModule or IdeaProject.

## Constructors

IdeaModel
Link copied to clipboard
constructor()

## Properties

module
Link copied to clipboard
open var module: IdeaModule
project
Link copied to clipboard
open var project: IdeaProject
targetVersion
Link copied to clipboard
open var targetVersion: String
workspace
Link copied to clipboard
open var workspace: IdeaWorkspace

## Functions

module
Link copied to clipboard
open fun module(@DelegatesTo(value = IdeaModule::class) closure: Closure)
open fun module(action: Action<in IdeaModule>)
Configures IDEA module information.
pathVariables
Link copied to clipboard
open fun pathVariables(pathVariables: Map<String, File>)
Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.).
project
Link copied to clipboard
open fun project(@DelegatesTo(value = IdeaProject::class) closure: Closure)
open fun project(action: Action<in IdeaProject>)
Configures IDEA project information.
workspace
Link copied to clipboard
open fun workspace(@DelegatesTo(value = IdeaWorkspace::class) closure: Closure)
open fun workspace(action: Action<in IdeaWorkspace>)
Configures IDEA workspace information.